<?php

namespace App\Models;

use App\Traits\Models\BaseModelTrait;

class ActionLog extends BaseModel
{
    use BaseModelTrait;

    public $hasUuid = true;
    protected $fillable = [
        'uuid',
        'action_id',
        'model_type',
        'model_id',
        'user_id',
        'note',
    ];
    protected $casts = [
        'uuid' => 'string',
    ];

    /* =========================================================================
    * Relationship
    * =========================================================================
    */

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    /* =========================================================================
    * Scope
    * =========================================================================
    */

    /* =========================================================================
    * Accessor & Mutator
    * =========================================================================
    */

    /* =========================================================================
    * Other
    * =========================================================================
    */
}
